DSAPrivateKey (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.security.interfaces, interface: DSAPrivateKey
Keywords: java.security.interfaces.DSAPrivateKey interface

# Interface DSAPrivateKey

All Superinterfaces:
  `AsymmetricKey`, `Destroyable`, `DSAKey`, `Key`, `PrivateKey`, `Serializable`

public interface DSAPrivateKey extends DSAKey, PrivateKey
The standard interface to a DSA private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Since:
  1.1
See Also:
  - `Key`
  - `Signature`
  - `DSAKey`
  - `DSAPublicKey`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Deprecated.
  A `serialVersionUID` field in an interface is ineffectual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default DSAParams`
  `getParams()`
  Returns the parameters associated with this key.
  `BigInteger`
  `getX()`
  Returns the value of the private key, `x`.

  ### Methods declared in interface javax.security.auth.Destroyable

  `destroy, isDestroyed`

  ### Methods declared in interface java.security.Key

  `getAlgorithm, getEncoded, getFormat`

- ## Field Details

  - ### serialVersionUID

    @Deprecated static final long serialVersionUID
    Deprecated.
    A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
    The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getX

    BigInteger getX()
    Returns the value of the private key, `x`.
    Returns:
      the value of the private key, `x`.

  - ### getParams

    default DSAParams getParams()
    Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.
    Specified by:
      `getParams` in interface `AsymmetricKey`
    Specified by:
      `getParams` in interface `DSAKey`
    Implementation Requirements:
      The default implementation returns `null`.
    Returns:
      the associated parameters, may be `null`
    See Also:
      - `DSAParams`